summaryrefslogtreecommitdiffstats
path: root/package/pmacct/files/pmacctd.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/pmacct/files/pmacctd.init')
-rw-r--r--package/pmacct/files/pmacctd.init22
1 files changed, 22 insertions, 0 deletions
diff --git a/package/pmacct/files/pmacctd.init b/package/pmacct/files/pmacctd.init
new file mode 100644
index 000000000..0af109500
--- /dev/null
+++ b/package/pmacct/files/pmacctd.init
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+BIN=pmacctd
+DEFAULT=/etc/default/$BIN
+RUN_D=/var/run
+PID_F=$RUN_D/$BIN.pid
+[ -f $DEFAULT ] && . $DEFAULT
+
+case $1 in
+ start)
+ mkdir -p $RUN_D
+ $BIN $OPTIONS
+ ;;
+ stop)
+ [ -f $PID_F ] && kill -INT $(cat $PID_F)
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?